<template>
  <div
    v-if="popularMatches.length > 0"
    :class="[
      'popular-match w-full mobile',
      tab.includes('module_popular_match') ? 'px-2' : 'mt-[16px]',
    ]"
  >
    <swiper
      :slides-per-view="1"
      :space-between="8"
      :scrollbar="{ draggable: true }"
      :pagination="{ clickable: true }"
      :autoplay="{
        delay: 10000,
        disableOnInteraction: false,
      }"
      :modules="modules"
      :navigation="true"
      :loop="popularMatches.length > 1 ? true : false"
      class="flex content-center custom-swiper-mobile"
    >
      <swiper-slide
        v-for="(popularMatch, index) in popularMatches"
        :key="index"
      >
        <div class="thumbContainer">
          <sport-m-popular-match-card :match="popularMatch" />
        </div>
      </swiper-slide>
    </swiper>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import { Autoplay, Navigation, Pagination } from "swiper";
import commonHelper from "@/utils/commonHelper";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";

const { getAssetImage } = commonHelper;
export default defineComponent({
  name: "MobilePopularMatch",
  props: {
    backgroundCard: {
      type: String,
      default: () =>
        getAssetImage("assets/theme/common/popular_match/dark_card_bg.png"),
    },
    isMobile: {
      type: Boolean,
      default: () => true,
    },
    tab: {
      type: String,
      default: "",
    },
  },
  setup() {
    const { recommendMatches } = usePopularMatch();
    const popularMatches = computed(() => recommendMatches.value.map((match) => new RecommendMatch(match)));
    return {
      recommendMatches,
      popularMatches,
      modules: [Autoplay, Pagination, Navigation],
      getAssetImage,
    };
  },
});
</script>
<style scoped>
.thumbContainer {
  width: 100%;
}

.custom-swiper-mobile :deep(.swiper-scrollbar) {
  opacity: 0;
}
</style>
<style lang="scss">
.popular-match {
  .custom-popular-match-card-desktop {
    min-width: 1200px;
    margin: 0px;
    align-items: center;
    justify-content: center;
    overflow: hidden;
  }
}
</style>
